Bug 806668

Summary: afp.h contains incorrect paths
Product: [Fedora] Fedora Reporter: Dan Ziemba <zman0900>
Component: afpfs-ngAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: chris.mckeague, csr.spies, jchadima, lkundrak
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967500 (view as bug list) Environment:
Last Closed: 2013-02-13 11:12:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dan Ziemba 2012-03-25 17:45:07 EDT
Description of problem:
While attempting to compile xbmc 11.0 using afpfs-ng, I ran into two errors where the files afp_protocol.h and libafpclient.h included from afp.h could not be found.  I was able to make it work by changing the lines in afp.h from:
#include <afp_protocol.h>
#include <libafpclient.h>
to:
#include <afpfs-ng/afp_protocol.h>
#include <afpfs-ng/libafpclient.h>

Not sure if this is a bug in the library, or in the way its packaged, so I'm reporting it here first.

Version-Release number of selected component (if applicable):
0.8.1-8.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt compile including afp.h
2. Observe error
  
Actual results:
/usr/include/afpfs-ng/afp.h:10:26: fatal error: afp_protocol.h: No such file or directory

Expected results:
Successful compilation

Additional info:
Comment 1 chris.mckeague 2012-09-19 19:49:10 EDT
The same issue as described above still exists in F17 with afpfs-ng version:

afpfs-ng-0.8.1-9.fc17.3.x86_64
Comment 2 Jan van Rooyen 2012-10-27 18:10:58 EDT
>>The same issue as described above still exists in F17 with afpfs-ng version:
>>
>>afpfs-ng-0.8.1-9.fc17.3.x86_64

Picked this up as well.

Packages installed:
afpfs-ng-devel-0.8.1-9.fc17.3.x86_64
afpfs-ng-0.8.1-9.fc17.3.x86_64


Edited the file:
/usr/include/afpfs-ng/afp.h

as mentioned above and moved past the breaking point in the build.
Comment 3 Fedora End Of Life 2013-01-16 09:53:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 11:12:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Lubomir Rintel 2014-03-17 03:30:15 EDT
Thank you for your report and sorry for the late reply.

I'm getting a quite lot of these, reporting failures specifically with XMBC. I am not quite convinced afpfs-ng is the part that need fixing and am leaning towards the belief that this should be fixed in XMBC.

Please see my comment in bug #1057819. If you have any opinions to discuss, you're welcome to comment there. If you believe the fix really belongs to this package, feel free to reopen the bug, but please don't do that without explanation.

Thank you!

*** This bug has been marked as a duplicate of bug 1057819 ***